import * as _nuxt_schema from '@nuxt/schema';
import { Composables } from 'bootstrap-vue-next';

type ComposableType = keyof typeof Composables;
type ConfigurationOption<T extends string> = Partial<Record<T, boolean>> & {
    all: boolean;
};
interface ModuleOptions {
    composables: ConfigurationOption<ComposableType> | boolean;
}

declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { _default as default };
